Skip to main content
GET
/
valorant
/
v1
/
premier
/
leaderboard
/
{affinity}
Get Premier leaderboard (v1)
curl --request GET \
  --url https://api.henrikdev.xyz/valorant/v1/premier/leaderboard/{affinity}
import requests

url = "https://api.henrikdev.xyz/valorant/v1/premier/leaderboard/{affinity}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.henrikdev.xyz/valorant/v1/premier/leaderboard/{affinity}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "affinity": "<string>",
      "conference": "<string>",
      "customization": {
        "icon": "<string>",
        "image": "<string>",
        "primary": "<string>",
        "secondary": "<string>",
        "tertiary": "<string>"
      },
      "division": 123,
      "id": "<string>",
      "losses": 123,
      "name": "<string>",
      "ranked": true,
      "ranking": 123,
      "region": "<string>",
      "score": 123,
      "tag": "<string>",
      "updated_at": "<string>",
      "wins": 123
    }
  ],
  "status": 1
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}

Path Parameters

affinity
string
required

Region/affinity (e.g., na, eu, ap, kr)

Query Parameters

conference
string

Conference filter (optional)

division
string

Division filter (optional)

season
string

Premier season id (optional)

Response

Premier leaderboard retrieved successfully

data
object[]
required
status
integer<int32>
required
Required range: x >= 0